package fic

import (
	"fmt"
)

type exportedTeam struct {
	Name    string       `json:"name"`
	Color   string       `json:"color"`
	Rank    int          `json:"rank"`
	Points  float64      `json:"score"`
}

func ExportTeams() (interface{}, error) {
	if teams, err := GetTeams(); err != nil {
		return nil, err
	} else if rank, err := GetRank(); err != nil {
		return nil, err
	} else {
		ret := map[string]exportedTeam{}
		for _, team := range teams {
			points, _ := team.GetPoints()
			ret[fmt.Sprintf("%d", team.Id)] = exportedTeam{
				team.Name,
				fmt.Sprintf("#%x", team.Color),
				rank[team.Id],
				points,
			}
		}

		return ret, nil
	}
}
